diff --git src/wp-includes/class-wp-post-type.php src/wp-includes/class-wp-post-type.php
index ba37a02..d5fc3c3 100644
--- src/wp-includes/class-wp-post-type.php
+++ src/wp-includes/class-wp-post-type.php
@@ -359,8 +359,120 @@ final class WP_Post_Type {
 	 * Sets post type properties.
 	 *
 	 * @since 4.6.0
-	 *
-	 * @param array|string $args Array or string of arguments for registering a post type.
+	 * @since 3.0.0 The `show_ui` argument is now enforced on the new post screen.
+	 * @since 4.4.0 The `show_ui` argument is now enforced on the post type listing
+	 *              screen and post editing screen.
+	 * @since 4.7.0 Introduced `show_in_rest`, 'rest_base' and 'rest_controller_class'
+	 *              arguments to register the post type in REST API.
+	 *
+	 * @param array|string $args {
+	 *     Array or string of arguments for registering a post type.
+	 *
+	 *     @type string      $label                 Name of the post type shown in the menu. Usually plural.
+	 *                                              Default is value of $labels['name'].
+	 *     @type array       $labels                An array of labels for this post type. If not set, post
+	 *                                              labels are inherited for non-hierarchical types and page
+	 *                                              labels for hierarchical ones. See get_post_type_labels() for a full
+	 *                                              list of supported labels.
+	 *     @type string      $description           A short descriptive summary of what the post type is.
+	 *                                              Default empty.
+	 *     @type bool        $public                Whether a post type is intended for use publicly either via
+	 *                                              the admin interface or by front-end users. While the default
+	 *                                              settings of $exclude_from_search, $publicly_queryable, $show_ui,
+	 *                                              and $show_in_nav_menus are inherited from public, each does not
+	 *                                              rely on this relationship and controls a very specific intention.
+	 *                                              Default false.
+	 *     @type bool        $hierarchical          Whether the post type is hierarchical (e.g. page). Default false.
+	 *     @type bool        $exclude_from_search   Whether to exclude posts with this post type from front end search
+	 *                                              results. Default is the opposite value of $public.
+	 *     @type bool        $publicly_queryable    Whether queries can be performed on the front end for the post type
+	 *                                              as part of parse_request(). Endpoints would include:
+	 *                                              * ?post_type={post_type_key}
+	 *                                              * ?{post_type_key}={single_post_slug}
+	 *                                              * ?{post_type_query_var}={single_post_slug}
+	 *                                              If not set, the default is inherited from $public.
+	 *     @type bool        $show_ui               Whether to generate and allow a UI for managing this post type in the
+	 *                                              admin. Default is value of $public.
+	 *     @type bool        $show_in_menu          Where to show the post type in the admin menu. To work, $show_ui
+	 *                                              must be true. If true, the post type is shown in its own top level
+	 *                                              menu. If false, no menu is shown. If a string of an existing top
+	 *                                              level menu (eg. 'tools.php' or 'edit.php?post_type=page'), the post
+	 *                                              type will be placed as a sub-menu of that.
+	 *                                              Default is value of $show_ui.
+	 *     @type bool        $show_in_nav_menus     Makes this post type available for selection in navigation menus.
+	 *                                              Default is value $public.
+	 *     @type bool        $show_in_admin_bar     Makes this post type available via the admin bar. Default is value
+	 *                                              of $show_in_menu.
+	 *     @type bool        $show_in_rest          Whether to add the post type route in the REST API 'wp/v2' namespace.
+	 *     @type string      $rest_base             The base slug that this post type will use when accessed using the REST API.
+	 *     @type string      $rest_controller_class An optional custom controller to use instead of WP_REST_Posts_Controller. 
+	 *                                              Must be a subclass of WP_REST_Controller. Default: WP_REST_Posts_Controller
+	 *     @type int         $menu_position         The position in the menu order the post type should appear. To work,
+	 *                                              $show_in_menu must be true. Default null (at the bottom).
+	 *     @type string      $menu_icon             The url to the icon to be used for this menu. Pass a base64-encoded
+	 *                                              SVG using a data URI, which will be colored to match the color scheme
+	 *                                              -- this should begin with 'data:image/svg+xml;base64,'. Pass the name
+	 *                                              of a Dashicons helper class to use a font icon, e.g.
+	 *                                              'dashicons-chart-pie'. Pass 'none' to leave div.wp-menu-image empty
+	 *                                              so an icon can be added via CSS. Defaults to use the posts icon.
+	 *     @type string      $capability_type       The string to use to build the read, edit, and delete capabilities.
+	 *                                              May be passed as an array to allow for alternative plurals when using
+	 *                                              this argument as a base to construct the capabilities, e.g.
+	 *                                              array('story', 'stories'). Default 'post'.
+	 *     @type array       $capabilities          Array of capabilities for this post type. $capability_type is used
+	 *                                              as a base to construct capabilities by default.
+	 *                                              See get_post_type_capabilities().
+	 *     @type bool        $map_meta_cap          Whether to use the internal default meta capability handling.
+	 *                                              Default false.
+	 *     @type array       $supports              Core feature(s) the post type supports. Serves as an alias for calling
+	 *                                              add_post_type_support() directly. Core features include 'title',
+	 *                                              'editor', 'comments', 'revisions', 'trackbacks', 'author', 'excerpt',
+	 *                                              'page-attributes', 'thumbnail', 'custom-fields', and 'post-formats'.
+	 *                                              Additionally, the 'revisions' feature dictates whether the post type
+	 *                                              will store revisions, and the 'comments' feature dictates whether the
+	 *                                              comments count will show on the edit screen. Defaults is an array
+	 *                                              containing 'title' and 'editor'.
+	 *     @type callable    $register_meta_box_cb  Provide a callback function that sets up the meta boxes for the
+	 *                                              edit form. Do remove_meta_box() and add_meta_box() calls in the
+	 *                                              callback. Default null.
+	 *     @type array       $taxonomies            An array of taxonomy identifiers that will be registered for the
+	 *                                              post type. Taxonomies can be registered later with register_taxonomy()
+	 *                                              or register_taxonomy_for_object_type().
+	 *                                              Default empty array.
+	 *     @type bool|string $has_archive           Whether there should be post type archives, or if a string, the
+	 *                                              archive slug to use. Will generate the proper rewrite rules if
+	 *                                              $rewrite is enabled. Default false.
+	 *     @type bool|array  $rewrite              {
+	 *         Triggers the handling of rewrites for this post type. To prevent rewrite, set to false.
+	 *         Defaults to true, using $post_type as slug. To specify rewrite rules, an array can be
+	 *         passed with any of these keys:
+	 *
+	 *         @type string $slug       Customize the permastruct slug. Defaults to $post_type key.
+	 *         @type bool   $with_front Whether the permastruct should be prepended with WP_Rewrite::$front.
+	 *                                  Default true.
+	 *         @type bool   $feeds      Whether the feed permastruct should be built for this post type.
+	 *                                  Default is value of $has_archive.
+	 *         @type bool   $pages      Whether the permastruct should provide for pagination. Default true.
+	 *         @type const  $ep_mask    Endpoint mask to assign. If not specified and permalink_epmask is set,
+	 *                                  inherits from $permalink_epmask. If not specified and permalink_epmask
+	 *                                  is not set, defaults to EP_PERMALINK.
+	 *     }
+	 *     @type string|bool $query_var             Sets the query_var key for this post type. Defaults to $post_type
+	 *                                              key. If false, a post type cannot be loaded at
+	 *                                              ?{query_var}={post_slug}. If specified as a string, the query
+	 *                                              ?{query_var_string}={post_slug} will be valid.
+	 *     @type bool        $can_export            Whether to allow this post type to be exported. Default true.
+	 *     @type bool        $delete_with_user      Whether to delete posts of this type when deleting a user. If true,
+	 *                                              posts of this type belonging to the user will be moved to trash
+	 *                                              when then user is deleted. If false, posts of this type belonging
+	 *                                              to the user will *not* be trashed or deleted. If not set (the default),
+	 *                                              posts are trashed if post_type_supports('author'). Otherwise posts
+	 *                                              are not trashed or deleted. Default null.
+	 *     @type bool        $_builtin              FOR INTERNAL USE ONLY! True if this post type is a native or
+	 *                                              "built-in" post_type. Default false.
+	 *     @type string      $_edit_link            FOR INTERNAL USE ONLY! URL segment to use for edit link of
+	 *                                              this post type. Default 'post.php?post=%d'.
+	 * }
 	 */
 	public function set_props( $args ) {
 		$args = wp_parse_args( $args );
diff --git src/wp-includes/post.php src/wp-includes/post.php
index e6f1340..bb548f7 100644
--- src/wp-includes/post.php
+++ src/wp-includes/post.php
@@ -744,6 +744,7 @@ function get_page_statuses() {
  * @param string $post_status Name of the post status.
  * @param array|string $args {
  *     Optional. Array or string of post status arguments.
+ *     See WP_Post_Type::set_props() for all available arguments.
  *
  *     @type bool|string $label                     A descriptive name for the post status marked
  *                                                  for translation. Defaults to value of $post_status.
@@ -996,125 +997,15 @@ function get_post_types( $args = array(), $output = 'names', $operator = 'and' )
  * list of supported features.
  *
  * @since 2.9.0
- * @since 3.0.0 The `show_ui` argument is now enforced on the new post screen.
- * @since 4.4.0 The `show_ui` argument is now enforced on the post type listing
- *              screen and post editing screen.
  * @since 4.6.0 Post type object returned is now an instance of WP_Post_Type.
- * @since 4.7.0 Introduced `show_in_rest`, 'rest_base' and 'rest_controller_class'
- *              arguments to register the post type in REST API.
  *
  * @global array $wp_post_types List of post types.
  *
  * @param string $post_type Post type key. Must not exceed 20 characters and may
  *                          only contain lowercase alphanumeric characters, dashes,
  *                          and underscores. See sanitize_key().
- * @param array|string $args {
- *     Array or string of arguments for registering a post type.
- *
- *     @type string      $label                 Name of the post type shown in the menu. Usually plural.
- *                                              Default is value of $labels['name'].
- *     @type array       $labels                An array of labels for this post type. If not set, post
- *                                              labels are inherited for non-hierarchical types and page
- *                                              labels for hierarchical ones. See get_post_type_labels() for a full
- *                                              list of supported labels.
- *     @type string      $description           A short descriptive summary of what the post type is.
- *                                              Default empty.
- *     @type bool        $public                Whether a post type is intended for use publicly either via
- *                                              the admin interface or by front-end users. While the default
- *                                              settings of $exclude_from_search, $publicly_queryable, $show_ui,
- *                                              and $show_in_nav_menus are inherited from public, each does not
- *                                              rely on this relationship and controls a very specific intention.
- *                                              Default false.
- *     @type bool        $hierarchical          Whether the post type is hierarchical (e.g. page). Default false.
- *     @type bool        $exclude_from_search   Whether to exclude posts with this post type from front end search
- *                                              results. Default is the opposite value of $public.
- *     @type bool        $publicly_queryable    Whether queries can be performed on the front end for the post type
- *                                              as part of parse_request(). Endpoints would include:
- *                                              * ?post_type={post_type_key}
- *                                              * ?{post_type_key}={single_post_slug}
- *                                              * ?{post_type_query_var}={single_post_slug}
- *                                              If not set, the default is inherited from $public.
- *     @type bool        $show_ui               Whether to generate and allow a UI for managing this post type in the
- *                                              admin. Default is value of $public.
- *     @type bool        $show_in_menu          Where to show the post type in the admin menu. To work, $show_ui
- *                                              must be true. If true, the post type is shown in its own top level
- *                                              menu. If false, no menu is shown. If a string of an existing top
- *                                              level menu (eg. 'tools.php' or 'edit.php?post_type=page'), the post
- *                                              type will be placed as a sub-menu of that.
- *                                              Default is value of $show_ui.
- *     @type bool        $show_in_nav_menus     Makes this post type available for selection in navigation menus.
- *                                              Default is value $public.
- *     @type bool        $show_in_admin_bar     Makes this post type available via the admin bar. Default is value
- *                                              of $show_in_menu.
- *     @type bool        $show_in_rest          Whether to add the post type route in the REST API 'wp/v2' namespace.
- *     @type string      $rest_base             To change the base url of REST API route. Default is $post_type.
- *     @type string      $rest_controller_class REST API Controller class name. Default is 'WP_REST_Posts_Controller'.
- *     @type int         $menu_position         The position in the menu order the post type should appear. To work,
- *                                              $show_in_menu must be true. Default null (at the bottom).
- *     @type string      $menu_icon             The url to the icon to be used for this menu. Pass a base64-encoded
- *                                              SVG using a data URI, which will be colored to match the color scheme
- *                                              -- this should begin with 'data:image/svg+xml;base64,'. Pass the name
- *                                              of a Dashicons helper class to use a font icon, e.g.
- *                                              'dashicons-chart-pie'. Pass 'none' to leave div.wp-menu-image empty
- *                                              so an icon can be added via CSS. Defaults to use the posts icon.
- *     @type string      $capability_type       The string to use to build the read, edit, and delete capabilities.
- *                                              May be passed as an array to allow for alternative plurals when using
- *                                              this argument as a base to construct the capabilities, e.g.
- *                                              array('story', 'stories'). Default 'post'.
- *     @type array       $capabilities          Array of capabilities for this post type. $capability_type is used
- *                                              as a base to construct capabilities by default.
- *                                              See get_post_type_capabilities().
- *     @type bool        $map_meta_cap          Whether to use the internal default meta capability handling.
- *                                              Default false.
- *     @type array       $supports              Core feature(s) the post type supports. Serves as an alias for calling
- *                                              add_post_type_support() directly. Core features include 'title',
- *                                              'editor', 'comments', 'revisions', 'trackbacks', 'author', 'excerpt',
- *                                              'page-attributes', 'thumbnail', 'custom-fields', and 'post-formats'.
- *                                              Additionally, the 'revisions' feature dictates whether the post type
- *                                              will store revisions, and the 'comments' feature dictates whether the
- *                                              comments count will show on the edit screen. Defaults is an array
- *                                              containing 'title' and 'editor'.
- *     @type callable    $register_meta_box_cb  Provide a callback function that sets up the meta boxes for the
- *                                              edit form. Do remove_meta_box() and add_meta_box() calls in the
- *                                              callback. Default null.
- *     @type array       $taxonomies            An array of taxonomy identifiers that will be registered for the
- *                                              post type. Taxonomies can be registered later with register_taxonomy()
- *                                              or register_taxonomy_for_object_type().
- *                                              Default empty array.
- *     @type bool|string $has_archive           Whether there should be post type archives, or if a string, the
- *                                              archive slug to use. Will generate the proper rewrite rules if
- *                                              $rewrite is enabled. Default false.
- *     @type bool|array  $rewrite              {
- *         Triggers the handling of rewrites for this post type. To prevent rewrite, set to false.
- *         Defaults to true, using $post_type as slug. To specify rewrite rules, an array can be
- *         passed with any of these keys:
- *
- *         @type string $slug       Customize the permastruct slug. Defaults to $post_type key.
- *         @type bool   $with_front Whether the permastruct should be prepended with WP_Rewrite::$front.
- *                                  Default true.
- *         @type bool   $feeds      Whether the feed permastruct should be built for this post type.
- *                                  Default is value of $has_archive.
- *         @type bool   $pages      Whether the permastruct should provide for pagination. Default true.
- *         @type const  $ep_mask    Endpoint mask to assign. If not specified and permalink_epmask is set,
- *                                  inherits from $permalink_epmask. If not specified and permalink_epmask
- *                                  is not set, defaults to EP_PERMALINK.
- *     }
- *     @type string|bool $query_var             Sets the query_var key for this post type. Defaults to $post_type
- *                                              key. If false, a post type cannot be loaded at
- *                                              ?{query_var}={post_slug}. If specified as a string, the query
- *                                              ?{query_var_string}={post_slug} will be valid.
- *     @type bool        $can_export            Whether to allow this post type to be exported. Default true.
- *     @type bool        $delete_with_user      Whether to delete posts of this type when deleting a user. If true,
- *                                              posts of this type belonging to the user will be moved to trash
- *                                              when then user is deleted. If false, posts of this type belonging
- *                                              to the user will *not* be trashed or deleted. If not set (the default),
- *                                              posts are trashed if post_type_supports('author'). Otherwise posts
- *                                              are not trashed or deleted. Default null.
- *     @type bool        $_builtin              FOR INTERNAL USE ONLY! True if this post type is a native or
- *                                              "built-in" post_type. Default false.
- *     @type string      $_edit_link            FOR INTERNAL USE ONLY! URL segment to use for edit link of
- *                                              this post type. Default 'post.php?post=%d'.
- * }
+ * @param array|string $args  Array or string of arguments for registering a post type.
+ *                            See WP_Post_Type::set_props() for for all available arguments.
  * @return WP_Post_Type|WP_Error The registered post type object, or an error object.
  */
 function register_post_type( $post_type, $args = array() ) {
